/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :NouveauParcoursForm.ui.h

	DESCRIPTION :	Fichier contenant l'implémentation de la form qui demande 
					le nom du nouveau terrain

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylène Denis & Jean-François Pérusse

	DATE DE CRÉATION : 2004-3-17

	MISES À JOUR :

===============================================================================*/




/*------------------------------------------------------------------
  Fonction :	NouveauParcoursForm::init

  Description :	Fonction qui remplace le constructeur

  Paramètres :

  Valeur retournée :	void : 

  Par : 2004-3-17 Martin Bisson, Anne-Marie Buki, Mylène Denis & Jean-François Pérusse
  MAJ: 
------------------------------------------------------------------*/
void NouveauParcoursForm::init()
{
    adjustSize();
    
    QString nomdefaut("Defaut");
    
    if (QFile::exists(QString("parcours/") + nomdefaut))
    {
	int i;
	for (i = 1; QFile::exists(QString("parcours/") + nomdefaut
				  + "_" + QString::number(i)); i++);
	nomdefaut = nomdefaut + "_" + QString::number(i);
    }
    
    fichierLineEdit->setText(nomdefaut);
    fichierLineEdit->selectAll();
    validetexte();
}




/*------------------------------------------------------------------
  Fonction :	NouveauParcoursForm::validetexte

  Description :	Fonction qui valide le texte entré

  Paramètres :

  Valeur retournée :	void : 

  Par : 2004-3-17 Martin Bisson, Anne-Marie Buki, Mylène Denis & Jean-François Pérusse
  MAJ: 
------------------------------------------------------------------*/
void NouveauParcoursForm::validetexte()
{
    if (fichierLineEdit->text() != "")
    {
	okPushButton->setEnabled( true );
    }
    else
    {
	okPushButton->setEnabled( false );
    }
}




/*------------------------------------------------------------------
  Fonction :	NouveauParcoursForm::verifienom

  Description :	Fonction qui vérifie que le nom du fichier n'existe pas déjà

  Paramètres :

  Valeur retournée :	void : 

  Par : 2004-3-17 Martin Bisson, Anne-Marie Buki, Mylène Denis & Jean-François Pérusse
  MAJ: 
------------------------------------------------------------------*/
void NouveauParcoursForm::verifienom()
{
    if (QFile::exists(QString("parcours/")+fichierLineEdit->text()))
    {
	QMessageBox::information(this,
				 "Parcours déjà existant!",
				 "Un parcours avec ce nom existe déjà!  Choisis un autre nom.",
				 "&OK");
	fichierLineEdit->selectAll();
    }
    else
    {
	accept();
    }
}
